#!/usr/bin/gnuplot

set colors classic
set term x11

set xl "D [km]"
set yl "N dN"

set xr [100.e-9:]
set yr [0.8:1.0e26]
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set tics format "10^{%T}"
set logscale xy
set tics front

set style line 1 lc 'red'
set style line 2 lc 'green'
set style line 3 lc 'blue'
set style line 4 lc 'cyan'
set style line 5 lc 'magenta'
set style line 6 lc 'gray'

tmp=  1.0  ; set arrow from tmp,graph 0 to tmp,graph 1 lt 0
tmp=  0.001; set arrow from tmp,graph 0 to tmp,graph 1 lt 0

#f_family0(x) = (6e7) * (x/0.1)**(-2.7)  # MB; steeper due to scaling law
#f_family4(x) = (1.4e6) * (x/1.0)**(-1.6)  # MB; shallow part
#f_family2(x) = (10**2.87650018e+00) * x**(-2.59088163e+00)  # Aeria

p "<awk '(NR>1)' sfd1.dat | ./hc_sfd.awk"        not w l  ls 1,\
  "<awk '(NR>1)' sfd1.dat_EDITED | ./hc_sfd.awk"     w lp ls 1 lw 2,\
  "<awk '(NR>1)' sfd2.dat | ./hc_sfd.awk"        not w l  ls 2,\
  "<awk '(NR>1)' sfd2.dat_EDITED | ./hc_sfd.awk"     w lp ls 2 lw 2,\
  "<awk '(NR>1)' sfd3.dat | ./hc_sfd.awk"        not w l  ls 3,\
  "<awk '(NR>1)' sfd3.dat_EDITED | ./hc_sfd.awk"     w lp ls 3 lw 2,\
  "MB_2018.dat_hc"                                   w l  ls 6,\
  "434_Hungaria_family.dat_hc"                     w l  ls 6,\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 8 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  NaN not

pa -1

set term png small
set out "gen_sfd.png"
rep


q

  f_family2(x) not lc '#0000cc' dt 2,\
  f_family0(x) not lc 'gray'    dt 2,\
  f_family4(x) not lc 'gray'    dt 2,\

